curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/vocab/init' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"custom_tool_names": [
"string"
],
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_set": 1,
"symbols_registered": 1
}
PolicyVocabInit
Required scope: write
POST
/
api
/
v1
/
policy
/
vocab
/
init
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/vocab/init' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"custom_tool_names": [
"string"
],
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_set": 1,
"symbols_registered": 1
}
Required scope:
write
Request body
PolicyVocabInitRequest
string[]
string
Response
PolicyVocabResponse
string
required
integer
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Policy vocabulary initialized |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
500 | Internal server error |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/policy/vocab/init' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"custom_tool_names": [
"string"
],
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_set": 1,
"symbols_registered": 1
}
Last modified on August 31, 2026